[@bigcommerce/checkout-sdk](../README.md) / CheckoutButtonStatusSelector

# Class: CheckoutButtonStatusSelector

## Table of contents

### Constructors

- [constructor](CheckoutButtonStatusSelector.md#constructor)

### Methods

- [isDeinitializingButton](CheckoutButtonStatusSelector.md#isdeinitializingbutton)
- [isInitializingButton](CheckoutButtonStatusSelector.md#isinitializingbutton)

## Constructors

### constructor

• **new CheckoutButtonStatusSelector**(): [`CheckoutButtonStatusSelector`](CheckoutButtonStatusSelector.md)

#### Returns

[`CheckoutButtonStatusSelector`](CheckoutButtonStatusSelector.md)

## Methods

### isDeinitializingButton

▸ **isDeinitializingButton**(`methodId?`): `boolean`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | [`CheckoutButtonMethodType`](../enums/CheckoutButtonMethodType.md) |

#### Returns

`boolean`

___

### isInitializingButton

▸ **isInitializingButton**(`methodId?`): `boolean`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | [`CheckoutButtonMethodType`](../enums/CheckoutButtonMethodType.md) |

#### Returns

`boolean`
